

declare @uid as varchar(100)
set @uid=(select uid from seg_usuario where id=1)


--creacion paginas
if not exists(select * from view_gui_funcionalidad where active=1 and  id_tipofuncionalidad=3
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3) and url='/forms/alq/Configuracion.aspx' 
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Configuracion'
           ,'/forms/alq/Configuracion.aspx' 
           ,0
           ,0
           ,'configuracion'
           ,'configuracion'
           ,0
           ,id
           ,3
from view_gui_funcionalidad
 where url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where   active=1 and id_tipofuncionalidad=3
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3) and url='/forms/alq/alq_despachoEquipos.aspx' 
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Despacho'
           ,'/forms/alq/alq_despachoEquipos.aspx' 
           ,0
           ,0
           ,'alq_despachoequipos'
           ,'alq_despachoequipos'
           ,0
           ,id
           ,3
from view_gui_funcionalidad
 where url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 
 if not exists(select * from view_gui_funcionalidad where  active=1 and  id_tipofuncionalidad=3
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3) and url='/forms/alq/alq_DevolucionEquipos.aspx' 
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Devolucion'
           ,'/forms/alq/alq_DevolucionEquipos.aspx' 
           ,0
           ,0
           ,'alq_devolucionequipos'
           ,'alq_devolucionequipos'
           ,0
           ,id
           ,3
from view_gui_funcionalidad
 where url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
  if not exists(select * from view_gui_funcionalidad where  active=1 and  id_tipofuncionalidad=3
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3) and url='/forms/alq/liquidacionAlquiler.aspx' 
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Liquidacion'
           ,'/forms/alq/liquidacionAlquiler.aspx' 
           ,0
           ,0
           ,'liquidacionalquiler'
           ,'liquidacionalquiler'
           ,0
           ,id
           ,3
from view_gui_funcionalidad
 where url ='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 
 
--creacion tab
--configuracion
if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3) and nombreComando='despacho'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Despachos'
           ,'/forms/alq/alq_despachoEquipos.aspx' 
           ,0
           ,0
           ,'despacho'
           ,'despacho'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3) and nombreComando='devolucion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Devolucion'
           ,'/forms/alq/alq_DevolucionEquipos.aspx' 
           ,0
           ,0
           ,'devolucion'
           ,'devolucion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3) and nombreComando='liquidacion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Liquidacion'
           ,'/forms/alq/liquidacionAlquiler.aspx' 
           ,0
           ,0
           ,'liquidacion'
           ,'liquidacion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/Configuracion.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 --Despacho
if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='configuracion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Configuracion'
           ,'/forms/alq/Configuracion.aspx' 
           ,0
           ,0
           ,'configuracion'
           ,'configuracion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='devolucion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Devolucion'
           ,'/forms/alq/alq_DevolucionEquipos.aspx' 
           ,0
           ,0
           ,'devolucion'
           ,'devolucion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='liquidacion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Liquidacion'
           ,'/forms/alq/liquidacionAlquiler.aspx' 
           ,0
           ,0
           ,'liquidacion'
           ,'liquidacion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 
 --Devolucion
if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_DevolucionEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='configuracion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Configuracion'
           ,'/forms/alq/Configuracion.aspx' 
           ,0
           ,0
           ,'configuracion'
           ,'configuracion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_DevolucionEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_DevolucionEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='despacho'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Despachos'
           ,'/forms/alq/alq_despachoEquipos.aspx' 
           ,0
           ,0
           ,'despacho'
           ,'despacho'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_DevolucionEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3) and nombreComando='liquidacion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Liquidacion'
           ,'/forms/alq/liquidacionAlquiler.aspx' 
           ,0
           ,0
           ,'liquidacion'
           ,'liquidacion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/alq_despachoEquipos.aspx' and id_tipoFuncionalidad = 3
 end
 
 
 --liquidacion
 
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3) and nombreComando='configuracion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Configuracion'
           ,'/forms/alq/Configuracion.aspx' 
           ,0
           ,0
           ,'configuracion'
           ,'configuracion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
 if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3) and nombreComando='despacho'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Despachos'
           ,'/forms/alq/alq_despachoEquipos.aspx' 
           ,0
           ,0
           ,'despacho'
           ,'despacho'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3
 end
 
 
  if not exists(select * from view_gui_funcionalidad where  id_tipofuncionalidad=1
and id_funcionalidad in(
select id from view_gui_funcionalidad where active=1 and  url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3) and nombreComando='devolucion'
) 
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select   @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Devolucion'
           ,'/forms/alq/alq_DevolucionEquipos.aspx' 
           ,0
           ,0
           ,'devolucion'
           ,'devolucion'
           ,0
           ,id
           ,1
from view_gui_funcionalidad
 where url ='/forms/alq/liquidacionAlquiler.aspx' and id_tipoFuncionalidad = 3
 end